## petsc 3.1.dfsg

=== debian/changelog ===
petsc (3.1.dfsg-7) unstable; urgency=low

  * Added shared_freebsd8 target to conf/rules (closes: #591262).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 04 Aug 2010 14:35:10 -0400

petsc (3.1.dfsg-6) unstable; urgency=low

  * Fixed clean target so it doesn't remove TAGS files from the .pc directory,
    causing quilt to forget to revert it (closes: #589063, #589064).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 15 Jul 2010 14:46:58 -0400

petsc (3.1.dfsg-5) unstable; urgency=low

  * Added patch target so dpkg-buildpackage -B actually runs the build-arch
    target with patches applied (closes: #584551, #586220, #588334).
  * Added a couple more file removals to debian/rules clean target.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 14 Jul 2010 10:24:21 -0400

petsc (3.1.dfsg-4) unstable; urgency=low

  * Upstream patch level 3.
  * Fix to clean target.
  * libpetsc3.1-dev depends on libhdf5-mpi-dev.
  * Build-conflict with atlas libs since they mess up other packages' builds.
  * Change target architectures eliminating hppa (closes: #529485).
  * Reinstated mpirun_lam script since LAM arches will need it.
  * Point all obsolete libraries' alternative symlinks at petsc library.
  * Added source lintian overrides about Adam Powell's name.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 06 Jul 2010 23:00:50 -0400

petsc (3.1.dfsg-3) unstable; urgency=low

  * Symlink $PETSC_DIR/conf/base -> variables for 3.0.x compatibility.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 27 May 2010 08:45:04 -0400

petsc (3.1.dfsg-2) unstable; urgency=low

  * Upstream patch level 2.
  * Patched to have the effect of regenerating config.[guess|sub] so clean is
    cleaner.
  * Added a few more files to the debian/rules clean target.
  * Added -c-opt to petscvariables directory in examples tarball.
  * Added --with-c-support to configure options (closes: #580546).
  * Changed control file to conform to Debian Science Policy Manual.
  * Added diagnostic to indicate MPI implementation and directory.
  * Disabled HDF5 support with LAM because libhdf5-lam-dev is missing at least
    one needed library libhdf5_fortran.so (closes: #582290).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 19 May 2010 19:14:34 -0400

petsc (3.1.dfsg-1) unstable; urgency=low

  * New upstream release, patch level 1 (closes: #576023).
  * Removed bin/win32fe/win32fe.exe and win32feutils.dll, docs/manual.pdf and
    src/tops/twopager.pdf from upstream due to lack of source.
  * Changed BLAS and LAPACK links to -lblas and -llapack (closes: #577875).
  * PETSc brings this into -dev package config files (closes: #579578).
  * Added --with-clanguage=C++ to configure commands (closes: #576799).
  * Added HDF5 support (closes: #566920).
  * Changed to source format 3.0 (quilt).
  * Bumped Standards-Version.
  * Added ${misc:Depends} to all package Depends fields.
  * Disabled SuperLU because this PETSc version doesn't seem compatible.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 30 Apr 2010 19:08:52 -0400

petsc (3.0.0.dfsg-6) unstable; urgency=low

  * Updated to patch level 10.
  * Added ftn-auto and ftn-custom finclude subdirectories (closes: #534211).
  * Added --with-fortran-interfaces=1 to configure calls (closes: #529970).
  * Removed Fortran libs from BLASLAPACK_LIBS in the case of Debian's special
    blas/lapack libraries in math-blaslapack.m4 (closes: #559119).
  * Changed BLAS/LAPACK links to Debian's special 3gf libs.
  * Added Build-Depends on automake, and copy its config.guess and config.sub
    to replace PETSc's versions of those.
  * Versioned dependency on debhelper.
  * Bumped Standards-Version.
  * Added README.source.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 11 Dec 2009 19:35:42 -0500

petsc (3.0.0.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix Build-Depends for new dpkg-dev (closes: #535276) 

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Jul 2009 10:31:34 +0200

petsc (3.0.0.dfsg-5) unstable; urgency=medium

  * Removed babel-1.2.0 and libsidl-dev from Build-Depends (closes: #529485).
  * Patched conf/rules to remove double-colon clean target (closes: #533342).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 16 Jun 2009 14:49:31 -0400

petsc (3.0.0.dfsg-4) unstable; urgency=low

  * Removed --prefix=/usr because it interfered with building shared libs
    (closes: #529303).
  * Fixed buggy petsc.m4 (closes: #528788).
  * Disabled sprng linkage because the functions PETSc needs aren't in the
    Debian sprng package, pending closure of bug 529295.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 18 May 2009 15:15:30 -0400

petsc (3.0.0.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: use --prefix=/usr in configure

  [Adam C. Powell, IV]
  * Removed superfluous scotch shlib patch (closes: #528556).
  * Added fftw and sprng linkages (closes: #515165), but actually doing fftw
    will require it to use MPI (bug 528680).
  * Changed PETSC_ARCH to DEB_BUILD_GNU_SYSTEM, and included it in configure
    command (closes: #528619).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 14 May 2009 13:54:25 -0400

petsc (3.0.0.dfsg-2) unstable; urgency=low

  * Removed different package name by MPI implementation (closes: #522764).
  * Upstream patch level 5.
  * Updated petsc.m4 to 3.0.0 conventions (closes: #528408).
  * Updated math-blaslapack.m4 adding gf to library names.
  * Added Scotch linkage.
  * Stopped trying to build "dynamic" libraries (closes: #522287).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 13 May 2009 09:32:01 -0400

petsc (3.0.0.dfsg-1) unstable; urgency=low

  * New tarball without non-free bin/win32fe.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 27 Mar 2009 16:15:33 -0400

petsc (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #509692).
  * Build-depends on mpi-default-dev and mpi-default-bin, though still uses

