=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4
# Deprecated, now provided in file debian/compat

# On Alpha, override this with debian/rules PETSC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
PETSC_ARCH=$(DEB_BUILD_GNU_SYSTEM)

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
PETSC_MPI=$(shell readlink /etc/alternatives/mpi | sed s/usr//g | sed s/include//g | sed s/lib//g | sed s/\\///g)
PETSC_MPI_DIR=/usr/lib/$(PETSC_MPI)

ifeq ($(PETSC_MPI),lam)
PETSC_HDF5_FLAGS=
else
PETSC_HDF5_FLAGS=--with-hdf5=1 --with-hdf5-dir=/usr
endif

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

# PETSC_EXT is non-empty if a non-standard compiler (e.g. Compaq compilers on
# alpha), non-standard MPI implementation (e.g. lam), non-standard option (e.g.
# complex) or non-standard distribution (e.g. contrib) is being used.
PETSC_EXT=$(shell chmod +x debian/petsc-ext && debian/petsc-ext $(PETSC_ARCH) $(PETSC_MPI) $(DEBIAN_DIST) && chmod -x debian/petsc-ext)

# PETSC_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
PETSC_VERSION=3.1$(PETSC_EXT)

# PETSC_NAME is the install dir under /usr/lib and the base for package names
PETSC_NAME=petsc$(PETSC_VERSION)

# These files need to be customized based on architecture and/or version.
# See the binary arch target for how they are generated.
ARCH_GENERATED_FILES=debian/lib$(PETSC_NAME)-dev.docs \
	debian/lib$(PETSC_NAME)-dev.postinst debian/lib$(PETSC_NAME)-dev.prerm

clean:
	dh_testdir
	if [ -f TAGS.backup ]; then mv -f TAGS.backup TAGS; fi
	dh_clean -XTAGS
# These are needed for -lam, -dec and -contrib builds
	rm -rf debian/lib$(PETSC_NAME) debian/lib$(PETSC_NAME)-dev \
	  debian/lib$(PETSC_NAME)-dbg
	rm -f build* install* debian/*.substvars debian/extemp $(ARCH_GENERATED_FILES)
# This is commented because it really doesn't do anything useful for us
# (removes example executables, so what?)
# make PETSC_ARCH=$(PETSC_ARCH) PETSC_DIR=$(CURDIR) clean
# These probably should be removed by `make clean' but aren't
	rm -f RDict.log configure.log.bkp debian/control.in make.log \
	  confdefs.h conffix.h conftest.c
	rm -f `find . -name \*.o -print` `find . -name \*.pyc -print`
	rm -rf lib $(PETSC_ARCH)-c-debug $(PETSC_ARCH)-c-opt configure.log

	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2; \
	  rm -rf .pc; \
	fi

patch:
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi

# PETSc uses the "doctext" program to convert html docs to man pages, which
# apparently is open-source and available from
# http://www.mcs.anl.gov/~gropp/sowing .  When it is Debianized, I'll use it.
build-indep: patch
#	$(MAKE) -C docs PETSC_ARCH=$(PETSC_ARCH) \
#	 	PETSC_DIR=$(CURDIR)/lib$(PETSC_NAME) manualpages
	touch $@

# With debugging=1, only static libraries are generated.
# Build optimized libs second so files are consistent with optimized.
build-arch: patch
	echo Using MPI implementation $(PETSC_MPI) in directory $(PETSC_MPI_DIR)
	cp -fp /usr/share/automake-1.11/config.* config/configarch/
	cp -fp /usr/share/automake-1.11/config.* config/BuildSystem/config/packages/
	if [ ! -f TAGS.backup ]; then cp -a TAGS TAGS.backup; fi
	PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_ARCH)-c-debug \
	  ./config/configure.py --with-debugging=1 \
	  --useThreads 0 --with-clanguage=C++ --with-c-support \
	  --with-fortran-interfaces=1 \
	  --with-mpi-dir=$(PETSC_MPI_DIR) \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-umfpack=1 --with-umfpack-include=/usr/include/suitesparse \
	  --with-umfpack-lib=[/usr/lib/libumfpack.so,/usr/lib/libamd.so] \
	  --with-spooles=1 --with-spooles-include=/usr/include/spooles \
	  --with-spooles-lib=/usr/lib/libspooles.so \
	  --with-hypre=1 --with-hypre-dir=/usr \
	  --with-scotch=1 --with-scotch-include=/usr/include/scotch \
	  --with-scotch-lib=/usr/lib/libscotch.so $(PETSC_HDF5_FLAGS)
#	  --with-superlu=1 --with-superlu-include=/usr/include/superlu \
#	  --with-superlu-lib=/usr/lib/libsuperlu.so \
#	  --with-sprng=1 --with-sprng-include=/usr/include/sprng \
#	  --with-sprng-lib=/usr/lib/libsprng.so
#	  --with-fftw=1 --with-fftw-dir=/usr
#	  `if [ -e /usr/lib/libsidl.so ]; then echo "--with-babel=1 --with-babel-dir=/usr"; fi`
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(CURDIR) \
	  PETSC_INSTALL_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
	PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_ARCH)-c-opt \
	  ./config/configure.py --with-shared --with-debugging=0 \
	  --useThreads 0 --with-clanguage=C++ --with-c-support \
	  --with-fortran-interfaces=1 \
	  --with-mpi-dir=$(PETSC_MPI_DIR) --with-mpi-shared=1 \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-umfpack=1 --with-umfpack-include=/usr/include/suitesparse \
	  --with-umfpack-lib=[/usr/lib/libumfpack.so,/usr/lib/libamd.so] \
	  --with-spooles=1 --with-spooles-include=/usr/include/spooles \
	  --with-spooles-lib=/usr/lib/libspooles.so \
	  --with-hypre=1 --with-hypre-dir=/usr \
	  --with-scotch=1 --with-scotch-include=/usr/include/scotch \
	  --with-scotch-lib=/usr/lib/libscotch.so $(PETSC_HDF5_FLAGS)
#	  --with-superlu=1 --with-superlu-include=/usr/include/superlu \
#	  --with-superlu-lib=/usr/lib/libsuperlu.so \
#	  --with-sprng=1 --with-sprng-include=/usr/include/sprng \
#	  --with-sprng-lib=/usr/lib/libsprng.so
#	  --with-fftw=1 --with-fftw-dir=/usr
#	  `if [ -e /usr/lib/libsidl.so ]; then echo "--with-babel=1 --with-babel-dir=/usr"; fi`
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(CURDIR) \
	  PETSC_INSTALL_DIR=/usr/lib/petscdir/$(PETSC_VERSION) \
	  SL_LINKER_SUFFIX_VERSIONED="so.$(PETSC_VERSION)"
	touch $@

build: build-arch build-indep
	touch $@

install-arch: build-arch
# Install mpirun.lam and fake petscarch in PETSC_DIR/bin and manpages.
# If someone builds with non-standard PETSC_ARCH we want that to be
# reflected in the installed script (also removes c-shell dependence).
	install -d debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin
	cp -p debian/mpirun_lam \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/mpirun_lam
	chmod +x debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/mpirun_lam
	echo "#!/bin/sh -e" > \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/petscarch
	echo "echo $(PETSC_ARCH)-c-opt" >> \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/petscarch
	chmod +x debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/petscarch
# I know bin is an awkward place to put these, but can't think of a
# better one... (doc is a symlink in the -doc package)
	cp -p debian/petscarch.1 debian/mpirun_lam.1 \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin
	gzip --best debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/*.1
# Install conf in PETSC_DIR
	install -d debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/conf
