## petsc 3.2.dfsg

=== debian/changelog ===
petsc (3.2.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fix PETSC_CHECKS m4 macro so that it also detects static petsc library
    - petsc.m4: add -lhdf5 and -lstdc++ to PETSC_EXTERNAL_LIBS
    - d/rules: add g++ to petsc-compilers
    Thanks to Anton Gladky for a first version of the patch. (Closes: #691307)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 11 Nov 2012 16:26:06 +0100

petsc (3.2.dfsg-5) unstable; urgency=low

  * Rebuild with newest version of HDF5, and force >= 1.8.8.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 15:02:15 -0500

petsc (3.2.dfsg-4) unstable; urgency=low

  * Added lam4-dev to Build-Conflicts (closes: #656189).
  * Added alpha and lpia to architecture list (closes: #655940).
  * Added CHOLMOD support (closes: #642439).
  * Test building with HDF5 on all arches.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 14:10:51 -0500

petsc (3.2.dfsg-3) unstable; urgency=low

  * Reinstated s390x arch since an external error prevents it from building (no
    s390x support in PVM -> no ScaLAPACK).
  * Changed libscotch-dev to libptscotch-dev in libpetsc3.2-dev Build-Depends.
  * Added cmake to Build-Conflicts because it causes setting of
    PETSC_BUILD_USING_CMAKE and breaks SLEPc build.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 16 Jan 2012 11:13:41 -0500

petsc (3.2.dfsg-2) unstable; urgency=low

  * Fixed MUMPS support to work with PTScotch (thanks: Satish Balay).
  * Removed doc link to non-free PDF file.
  * Added mpich2 case to debian/rules (closes: #652307).
  * Restrict architectures to exclude armel because of an unknown python bug
    (closes: #651453), kfreebsd-* because of a FORTRAN test problem, and s390x
    because of dependency issues (missing architecture in PVM).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 11 Jan 2012 18:49:43 -0500

petsc (3.2.dfsg-1) unstable; urgency=low

  * New upstream (closes: #652101).
  * Removed bin/win32fe/win32fe.exe and win32feutils.dll, docs/developers.pdf,
    docs/manual.pdf, src/tops/twopager.pdf and the share and xcode directories
    from upstream due to lack of source.
  * Forward-ported patches, splitting ld.patch into hypre.patch and
    nocleanup.patch.
  * Changed arch-dependent packages to "any" -- let's test all arches.
  * Reinstated patch/unpatch in build-arch, build-indep and clean targets.
  * Re-added quilt to Build-Depends, lintian complains otherwise.
  * PETSc dropped support for Scotch, need to disable MUMPS as well for now
    (but keeping both in dependencies).
  * Requires newer SuiteSparse than version 3.4.0 in Debian, kludged it to
    compile properly but runtime behavior is unpredictable at best.
  * Lintian overrides for false positives on copyright and petsc-dev.
  * Using MPI selection from mpi-default-dev.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 30 Dec 2011 13:27:43 -0500

petsc (3.1.dfsg-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't mix source format 3.0 (quilt) and manual usage of quilt:
    - Drop manual quilt calls from debian/rules;
    - Drop superfluous quilt Build-Depends.
    Closes: #643488

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Nov 2011 17:20:34 +0100

petsc (3.1.dfsg-11) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Use HDF5 only on openmpi architectures (closes: #602660, #605294).
  * Bump Standards-Version, no changes needed.
  * Update to upstream patch level 8 (closes: #621609).
  * Clean target update.
  * Fix stamps to prevent double-building.

  [ Matthias Klose ]
  * Patch PETSc build system to link properly to hypre libs, and change BLACS
    lib order in rules, to make binutils-gold work (closes: #608902).
  * Explicitly set PETSC_BUILD_GNU_SYSTEM in rules.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 07 Apr 2011 21:20:50 -0400

petsc (3.1.dfsg-10) unstable; urgency=low

  * Fixed mpi-default-dev implementation selection (closes: #604549).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 23 Nov 2010 15:08:38 -0500

petsc (3.1.dfsg-9) unstable; urgency=low

  * Choose MPI implementation based on mpi-default-dev (closes: #604549).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 22 Nov 2010 20:53:41 -0500

petsc (3.1.dfsg-8) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Build with HDF5 regardless of MPI implementation.
  * Symlinked $(PETSC_ARCH)-cxx-[opt|debug] to -c-[opt|debug] to indicate C++
    support (closes: #594046).

  [ Christophe Trophime ]
  * Upstream patch level 5.
  * Added (non-Scotch) MUMPS support (closes: #600265).
  * Bumped Standards-Version.
  * Silenced several clean commands.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 04 Nov 2010 10:10:34 -0400
